Package it.ernytech.tdlib

## Class TdApi.InputInlineQueryResultAnimatedGif

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputInlineQueryResult
    - - it.ernytech.tdlib.TdApi.InputInlineQueryResultAnimatedGif

Enclosing class:
  TdApi

    public static class TdApi.InputInlineQueryResultAnimatedGif
    extends TdApi.InputInlineQueryResult

Represents a link to an animated GIF.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `gifDuration` Duration of the GIF, in seconds.
`int` `gifHeight` Height of the GIF.
`java.lang.String` `gifUrl` The URL of the GIF-file (file size must not exceed 1MB).
`int` `gifWidth` Width of the GIF.
`java.lang.String` `id` Unique identifier of the query result.
`TdApi.InputMessageContent` `inputMessageContent` The content of the message to be sent.
`TdApi.ReplyMarkup` `replyMarkup` The message reply markup.
`java.lang.String` `thumbnailUrl` URL of the static result thumbnail (JPEG or GIF), if it exists.
`java.lang.String` `title` Title of the query result.

### Constructor Summary

Constructors
`InputInlineQueryResultAnimatedGif()` Default constructor.
`InputInlineQueryResultAnimatedGif​(java.lang.String id, java.lang.String title, java.lang.String thumbnailUrl, java.lang.String gifUrl, int gifDuration, int gifWidth, int gifHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### title

    public java.lang.String title

Title of the query result.

#### thumbnailUrl

    public java.lang.String thumbnailUrl

URL of the static result thumbnail (JPEG or GIF), if it exists.

#### gifUrl

    public java.lang.String gifUrl

The URL of the GIF-file (file size must not exceed 1MB).

#### gifDuration

    public int gifDuration

Duration of the GIF, in seconds.

#### gifWidth

    public int gifWidth

Width of the GIF.

#### gifHeight

    public int gifHeight

Height of the GIF.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

The message reply markup. Must be of type replyMarkupInlineKeyboard or null.

#### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent

The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageAnimation, InputMessageLocation, InputMessageVenue or InputMessageContact.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputInlineQueryResultAnimatedGif

    public InputInlineQueryResultAnimatedGif()

Default constructor.

#### InputInlineQueryResultAnimatedGif

    public InputInlineQueryResultAnimatedGif​(java.lang.String id,
                                             java.lang.String title,
                                             java.lang.String thumbnailUrl,
                                             java.lang.String gifUrl,
                                             int gifDuration,
                                             int gifWidth,
                                             int gifHeight,
                                             TdApi.ReplyMarkup replyMarkup,
                                             TdApi.InputMessageContent inputMessageContent)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `title` - Title of the query result.
  `thumbnailUrl` - URL of the static result thumbnail (JPEG or GIF), if it exists.
  `gifUrl` - The URL of the GIF-file (file size must not exceed 1MB).
  `gifDuration` - Duration of the GIF, in seconds.
  `gifWidth` - Width of the GIF.
  `gifHeight` - Height of the GIF.
  `replyMarkup` - The message reply markup. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageAnimation, InputMessageLocation, InputMessageVenue or InputMessageContact.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR